Version 1.38.0
Third Party API (v 1.38.0)
What's Changed
GET /api/business/{businessId}/client/{clientId}
GET /api/business/{businessId}/client/{clientId}Return Type:
Changed response : 200 OK
Specified client retrieved
-
Changed content type :
application/json- Added property
hasActiveMembership(boolean)true if the client holds at least one active membership: status ACTIVE, or cancellation scheduled but the current billing period has not ended
- Added property
PUT /api/business/{businessId}/client/{clientId}
PUT /api/business/{businessId}/client/{clientId}Return Type:
Changed response : 200 OK
Client updated successfully
-
Changed content type :
application/json- Added property
hasActiveMembership(boolean)true if the client holds at least one active membership: status ACTIVE, or cancellation scheduled but the current billing period has not ended
- Added property
GET /api/business/{businessId}/client/walk-in
GET /api/business/{businessId}/client/walk-inReturn Type:
Changed response : 200 OK
walk-in client retrieved
-
Changed content type :
application/json- Added property
hasActiveMembership(boolean)true if the client holds at least one active membership: status ACTIVE, or cancellation scheduled but the current billing period has not ended
- Added property
POST /api/business/{businessId}/client
POST /api/business/{businessId}/clientReturn Type:
Changed response : 201 Created
Client created successfully
-
Changed content type :
application/json- Added property
hasActiveMembership(boolean)true if the client holds at least one active membership: status ACTIVE, or cancellation scheduled but the current billing period has not ended
- Added property
GET /api/business/{businessId}/client
GET /api/business/{businessId}/clientParameters:
Added: hasActiveMembership in query
true returns only clients with at least one active membership, false only clients without one
Return Type:
Changed response : 200 OK
Clients listed
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
clients(array)Changed items (object):
- Added property
hasActiveMembership(boolean)true if the client holds at least one active membership: status ACTIVE, or cancellation scheduled but the current billing period has not ended
- Added property
-
-
GET /api/business/{businessId}/client-batch
GET /api/business/{businessId}/client-batchReturn Type:
Changed response : 200 OK
Batch of clients retrieved
-
Changed content type :
application/json-
Changed property
_embedded(object)-
Changed property
clients(array)Changed items (object):
- Added property
hasActiveMembership(boolean)true if the client holds at least one active membership: status ACTIVE, or cancellation scheduled but the current billing period has not ended
- Added property
-
-
Result
API changes are backward compatible
